> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # List Volumes > Lists all volume templates and their instances for an application, including usage statistics. ## OpenAPI ````yaml https://api-mc.opsbunny.net/docs/public/swagger.json get /apps/{appId}/volumes openapi: 3.0.4 info: title: Public API description: 'Public API endpoints for user consumption. Release version: v1.11.1.0' version: '1.0' servers: - url: https://api.bunny.net/mc security: - AccessKey: [] paths: /apps/{appId}/volumes: get: tags: - Volumes summary: List Volumes description: >- Lists all volume templates and their instances for an application, including usage statistics. operationId: ListVolumes parameters: - name: appId in: path required: true schema: type: string responses: '200': description: Volumes were successfully retrieved. content: application/json: schema: $ref: '#/components/schemas/ListVolumesResponse' '401': description: User is unauthorized. content: application/json: schema: $ref: '#/components/schemas/ProblemDetails' '500': description: Unexpected server error. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' components: schemas: ListVolumesResponse: type: object properties: items: type: array items: $ref: '#/components/schemas/VolumeInList' meta: $ref: '#/components/schemas/ListMeta' cursor: type: string nullable: true summary: $ref: '#/components/schemas/ListVolumesSummary' additionalProperties: false description: List volumes response ProblemDetails: type: object properties: type: type: string nullable: true title: type: string nullable: true status: type: integer format: int32 nullable: true detail: type: string nullable: true instance: type: string nullable: true additionalProperties: {} ErrorDetails: type: object properties: title: type: string description: A short, human-readable summary of the problem type. readOnly: true status: type: integer description: The HTTP status code. format: int32 readOnly: true detail: type: string description: >- A human-readable explanation specific to this occurrence of the problem. nullable: true readOnly: true instance: type: string description: >- A URI reference that identifies the specific occurrence of the problem. nullable: true readOnly: true errors: type: array items: $ref: '#/components/schemas/ValidationError' description: Additional validation errors for field-specific issues. nullable: true readOnly: true id: type: string description: >- The application ID, returned as an RFC 7807 extension field when relevant (e.g. partial save errors). Matches the "id" field from successful create response for consistency. nullable: true readOnly: true additionalProperties: false description: RFC 7807 Problem Details response model. VolumeInList: type: object properties: name: type: string id: type: string size: type: number format: double example: 5 totalUsage: type: number format: double totalInstancesCount: type: integer format: int32 attachedInstancesCount: type: integer format: int32 containersCount: type: integer format: int32 volumeInstances: type: array items: $ref: '#/components/schemas/VolumeInstance' additionalProperties: false description: Volume list item model ListMeta: type: object properties: totalItems: type: integer format: int64 additionalProperties: false ListVolumesSummary: type: object properties: totalPods: type: integer format: int32 totalContainers: type: integer format: int32 totalStorage: type: number format: double additionalProperties: false ValidationError: required: - message type: object properties: field: type: string nullable: true message: type: string additionalProperties: false VolumeInstance: type: object properties: id: type: string attachedPods: type: array items: type: string attachedContainers: type: array items: type: string region: type: string status: $ref: '#/components/schemas/VolumeStatus' size: type: number format: double example: 5 usage: type: number format: double set: type: string additionalProperties: false description: Volume instance model VolumeStatus: enum: - unknown - attached - detached - extending - deleting - creating - notScheduled - scheduled - failed - maintenance type: string securitySchemes: AccessKey: type: apiKey description: Please enter a valid personal API key. name: AccessKey in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.